summaryrefslogtreecommitdiff
path: root/board
diff options
context:
space:
mode:
Diffstat (limited to 'board')
-rw-r--r--board/cem/README4
-rw-r--r--board/cem/screen_cem1
-rwxr-xr-xboard/cem/start_calls.sh2
-rwxr-xr-xboard/cem/start_eth_perf.sh7
4 files changed, 8 insertions, 6 deletions
diff --git a/board/cem/README b/board/cem/README
index 9f32256..73849bc 100644
--- a/board/cem/README
+++ b/board/cem/README
@@ -19,8 +19,8 @@ To run them:
* setup the boards correctly with:
- cd ~/xioh-acceptance/board/full_IO
- ./install.sh te
+ cd ~/xioh-acceptance/board/cem
+ ./init.sh
* run load the system
diff --git a/board/cem/screen_cem b/board/cem/screen_cem
index ac23190..53fc690 100644
--- a/board/cem/screen_cem
+++ b/board/cem/screen_cem
@@ -2,7 +2,6 @@ source ~/.screenrc
screen -t "-testing"
stuff "cd ~/xioh-acceptance/board/cem/ "
- stuff "scp eth_perf.sh eth0 "
stuff "ssh eth0 "
stuff "/bin/bash eth_perf.sh "
diff --git a/board/cem/start_calls.sh b/board/cem/start_calls.sh
index bcc4e12..bf5cd01 100755
--- a/board/cem/start_calls.sh
+++ b/board/cem/start_calls.sh
@@ -25,6 +25,8 @@ then
exit 123
fi
+cp $FULL_IO_PATH/sound/testing_file.wav /tmp/
+
send_call()
{
[ -f "$POOL$1" ] || cp -a $FULL_IO_PATH/call/$1 $POOL
diff --git a/board/cem/start_eth_perf.sh b/board/cem/start_eth_perf.sh
index b6ae51f..c8d7174 100755
--- a/board/cem/start_eth_perf.sh
+++ b/board/cem/start_eth_perf.sh
@@ -6,7 +6,7 @@ iface=( 10.42.0.1
DURATION=30
SLEEP_DURATION=7
SIZE_FILE="100MB"
-TEST_FILE="random_$SIZE_FILE"
+TEST_FILE="/tmp/random_$SIZE_FILE"
MAIN_PID=$$
KILL_CMD="k"
@@ -18,8 +18,9 @@ exec 2>&1
if [ ! -e $TEST_FILE ]
then
- dd if=/dev/urandom of=$TEST_FILE bs=$((1024*1024)) count=${SIZE_FILE//[a-zA-Z]/}
- /usr/bin/md5sum $TEST_FILE > $TEST_FILE.md5sum
+ echo "Error, $TEST_FILE not found, you need to run init.sh first!"
+ # Read the README...
+ exit 234
fi
# this run iperf client on a specified iface